Subject: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects

From: Po Lu <[email-masked]>
Date: Sat, 23 Sep 2023 07:42:51 +0800

Benjamin Schwehn <[email-masked]> writes:

> difference using lucid or gtk does in this use case?

There is a good chance of recovery if a display connection is cut within
a non-GTK build, so long as the disconnect transpires while Emacs is
reading input, rather than operating on a frame connected to that
display.